package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.model.Bopgat;
import com.brilliance.isc.bo.model.Lendoc;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.vo.CnybopVo;
import com.brilliance.isc.vo.model.Ncdgrp;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.vo.model.Nitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetsetStoreVo extends BaseTransactionVo {

    private Nidgrp nidgrp;
    private Ncdgrp ncdgrp;
    private Nidgrp oldnidgrp;
    private Nitp nitp;
    private Lendoc lendoc;
    private Bopgat bopmod;
    private CnybopVo cnybop;
    private String clsflg = NULLSTR;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (ncdgrp == null) {
            ncdgrp = new Ncdgrp();
        }
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        if (nitp == null) {
            nitp = new Nitp();
        }
        if (lendoc == null) {
            lendoc = new Lendoc();
        }
        if (bopmod == null) {
            bopmod = new Bopgat();
        }
        if (cnybop == null) {
            cnybop = new CnybopVo();
        }
    }
}
